Bug 576673 - Review Request: beaker - Automated test system
Review Request: beaker - Automated test system
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2010-03-24 15:17 EDT by Bill Peck
Modified: 2010-12-26 15:28 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-26 15:28:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Peck 2010-03-24 15:17:38 EDT
Spec URL: https://fedorahosted.org/releases/b/e/beaker/beaker.spec
SRPM URL: https://fedorahosted.org/releases/b/e/beaker/beaker-0.5.8-0.fc12.src.rpm
Description: Beaker is an automated test system, it uses other open source technology where possible.  cobbler for provisioning and beah for the harness on the test systems.  Jobs are described in an xml language which the scheduler processes and finds systems that match.
Comment 1 Till Maas 2010-03-28 07:21:05 EDT
First glimpses:
- %define is used instead of %global
- python-devel instead of python2-devel in BR
- python_sitelib is not declared conditionally, it is already defined in F13+ iirc
- /var/lib/cobbler/kickstarts/Fedoradevelopment.ks - Use %{_sharedstatedir} instead on Fedora and %{_var}/lib on EPEL, if you plan to support EPEL
Comment 2 Bill Peck 2010-03-29 10:22:25 EDT
Hello Till,

Thanks for looking at this.

Question about python_sitelib is not declard condtionally.  I thought the below code was conditional.

%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

!? should say if its not defined right?


And for python-devel to python2-devel.  Should All python be changed to python2-*?

Thanks again.
Comment 3 Bill Peck 2010-03-29 10:42:59 EDT
Hello Till,

Another question on macro sharedstatedir,  it expands into the following on my F12 machine:

%_sharedstatedir	%{_prefix}/com

That would not work since I need to put the kickstart files in the same directory that cobbler does and after looking at its spec file it still uses hard coded /var.

I could change it to %{_var} or %{_localstatedir}.  Would that be acceptable?
Comment 4 Till Maas 2010-03-31 10:23:00 EDT
Hello Bill,

(In reply to comment #2)

> Question about python_sitelib is not declard condtionally.  I thought the below
> code was conditional.
> 
> %{!?python_sitelib: %global python_sitelib %(%{__python} -c "from
> distutils.sysconfig import get_python_lib; print get_python_lib()")}
> 
> !? should say if its not defined right?

The guidelines currently add a condition on the Fedora release:

%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif

> And for python-devel to python2-devel.  Should All python be changed to
> python2-*?

No, currently it should be only python2-devel

For references, please take a look at the python packaging guidelines:
http://fedoraproject.org/wiki/Packaging:Python


(In reply to comment #3)

> Another question on macro sharedstatedir,  it expands into the following on my
> F12 machine:
> 
> %_sharedstatedir %{_prefix}/com

Do you maybe have this defined in your ~/.rpmmacros? In EPEL 4 & 5, this happens, too. But it should not on F12 and does not happen on my F12 machines and I know of another package in Fedora that uses %_sharedstatedir and works for F11+, it's gitolite if you want to look at it.
Comment 5 Jason Tibbitts 2010-11-18 08:54:08 EST
There doesn't seem to have been any response to Till's comments above.

Note You need to log in before you can comment on or make changes to this bug.